$(function() {
	
	$(".numbercounter .icon").fitText(0.8, { minFontSize: '30px', maxFontSize: '60px' });
	$(".numbercounter .numbers").fitText(0.8, { minFontSize: '18px', maxFontSize: '48px' });
	$(".numbercounter .numtext").fitText(0.8, { minFontSize: '14px', maxFontSize: '20px' });
	
    var $els = $('.numbercontainer'); 
	var $window = $(window);
    $window.on('scroll load', function(){
		$els.each(function(){ // Iterate over all numbercontainers
			var $this = $(this); 
			var numDuration = $this.data('speed'); 
			if($.isNumeric(numDuration) == false || numDuration <= 0) numDuration = 4000;
			if($window.scrollTop() > $this.offset().top - $window.height()){
				$this.find('.count').not('.started').each(function () {
					$(this).addClass('started');
					$(this).prop('Counter',0).animate({
						Counter: $(this).data('count')
					}, {
						duration: numDuration ,
						easing: 'swing',
						step: function (now) {
							$(this).text(Math.ceil(now));
						}
					});
				});
			}
		});
    
    });
	// FontAwesome fallback
	var $span = $('<span class="fa" style="display:none"></span>');
	$('body').append($span);
    if ($span.css('fontFamily') !== 'FontAwesome') {
		console.log('FA not loaded, using falback');
		$('head').append('<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">');
	}
    $span.remove();	
	
});

/*!
* FitText.js 1.2
*
* Copyright 2011, Dave Rupert http://daverupert.com
* Released under the WTFPL license
* http://sam.zoy.org/wtfpl/
*
* Date: Thu May 05 14:23:00 2011 -0600
*/
!function(t){t.fn.fitText=function(n,i){var e=n||1,o=t.extend({minFontSize:Number.NEGATIVE_INFINITY,maxFontSize:Number.POSITIVE_INFINITY},i);return this.each(function(){var n=t(this),i=function(){n.css("font-size",Math.max(Math.min(n.width()/(10*e),parseFloat(o.maxFontSize)),parseFloat(o.minFontSize)))};i(),t(window).on("resize.fittext orientationchange.fittext",i)})}}(jQuery);
